package cn.iocoder.yudao.module.server.dal.mysql.fileforconfig;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.server.dal.dataobject.fileforconfig.FileForConfigDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.server.controller.admin.fileforconfig.vo.*;

/**
 * 文件配置 Mapper
 *
 * @author TRS
 */
@Mapper
public interface FileForConfigMapper extends BaseMapperX<FileForConfigDO> {

    default PageResult<FileForConfigDO> selectPage(FileForConfigPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<FileForConfigDO>()
                .likeIfPresent(FileForConfigDO::getConfigName, reqVO.getConfigName())
                .eqIfPresent(FileForConfigDO::getConfigKey, reqVO.getConfigKey())
                .eqIfPresent(FileForConfigDO::getFileMaxSize, reqVO.getFileMaxSize())
                .eqIfPresent(FileForConfigDO::getFileTypes, reqVO.getFileTypes())
                .eqIfPresent(FileForConfigDO::getFileMaxCount, reqVO.getFileMaxCount())
                .eqIfPresent(FileForConfigDO::getFileOther, reqVO.getFileOther())
                .eqIfPresent(FileForConfigDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(FileForConfigDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(FileForConfigDO::getId));
    }

}